Firefox 57 : comment bloquer la mise à jour et revenir à la version 56

Le 14 novembre dernier est sortie uneimportante mise à jour de Firefox, baptisée « Quantum ». Le navigateur profitent de conséquentes nouveautés, à commencer par un moteur de rendu plus puissant et un gain de rapidité multiplié par deux. Néanmoins, certaines de ces innovations peuvent empêcher des sites de fonctionner correctement et rendent obsolète une bonne partie des modules du navigateur.

Pour toutes ces raisons, vous ne souhaitez peut-être pas encore migrer. Vous préférez attendre que les sites que vous visitez et les modules que vous utilisez régulièrement bénéficient d’une mise à jour (ou qu’ils soient remplacés par des petits nouveaux) ? Vous devez donc conserver la version 56.0.2 et empêcher que la 57.0 s’installe automatiquement. Voici comment procéder :

  • Commencez tout d’abord par bloquer le processus automatique de mise à jour (peu importe que vous soyez déjà sous la 57.0, vous allez pouvoir revenir à l’édition 56.0.2 ultérieurement) Cliquez sur le bouton Hamburger du navigateur situé tout en haut à droite.
  • Dans la partie Général, faites défiler l’écran vers le bas. Dans la partie Mises à jour de Firefox > Autoriser Firefox à, cochez la fonction Vérifier l’existence de mises à jour, mais vous laisser décider de leur installation. Ceci aura pour effet de bloquer le système d’update automatique, mais de vous prévenir au cas où une nouvelle édition de Firefox est disponible (au cas où vous vous décideriez un jour à franchir le cap, malgré tout).
  • Si jamais la version 57 de Firefox s’est installée avant même que vous ayez pu empêcher sa mise à jour, pas de panique. Rendez-vous sur le FTP de Mozilla et téléchargez l’édition 56.0.2. Vous n’avez pas à désinstaller quoi que ce soit : réinstallez simplement la 56.0.2 « par-dessus » la 57.0 et le tour est joué. Vous conservez tous vos réglages, votre historique de navigation, vos mots de passe enregistrés, etc.

Voilà, rien d’hyper compliqué, en somme. Gardez néanmoins en tête que cette solution est provisoire et qu’il vous faudra quand même dans les prochaines semaines passer à l’édition 57.0 si vous voulez conserver un niveau de sécurité optimal de votre navigateur.